Ethiack Docs
Event reports

Create Event Report

POST
/v1/events/{event_slug}/reports/

Creates a report based on the specified details for the event.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

event_slug*string

The slug of the event associated with the report

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.ethiack.com/v1/events/string/reports/" \  -H "Content-Type: application/json" \  -d '{    "type": "executive",    "start_date": null,    "end_date": null,    "minimum_severity": null,    "include_status": null,    "tz": null  }'
{
  "code": 0,
  "description": "string",
  "id": null,
  "success": true
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}